package app.events;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import app.model.Model;
import app.model.languages.Java;
import app.testing.EventTestTemplate;

public class LanguageChangedEventTest extends EventTestTemplate {

  @Test
  @DisplayName("Check that model gets changed on constructor")
  private void checkModel() {
      new LanguageChangedEvent("Java");
      this.mockModel.verify(() -> Model.setLanguage(new Java()));
  }
    
}
